# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
inherit go-module

DESCRIPTION="A runner for Gitea based on act."
HOMEPAGE="https://gitea.com/gitea/act_runner"
SRC_URI="
	https://gitea.com/gitea/act_runner/archive/v${PV}.tar.gz
	https://gentoo.migmedia.net/alpha-quadrant/${P}-vendor.tar.xz
"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""
S="${WORKDIR}/${PN}"

src_compile() {
	ego build
}

src_install() {
	dobin act_runner
}
