# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Source code spell checker for Visual Studio Code and LSP clients"
HOMEPAGE="https://github.com/tekumara/typos-lsp"

SRC_URI="
	amd64? ( https://github.com/tekumara/${PN}/releases/download/v${PV}/${PN}-v${PV}-x86_64-unknown-linux-gnu.tar.gz )
	"
RESTRICT="mirror strip bindist"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="
	dev-util/typos
"

RDEPEND="${DEPEND}"

DOCS=( )
QA_FLAGS_IGNORED="usr/bin/${PN}"

pkg_setup(){
	S="${WORKDIR}"
}

src_install(){
	dobin typos-lsp
}

